## golang-go.uber-zap 1.7.1%2Bgit20171031.f85c78b

=== debian/changelog ===
golang-go.uber-zap (1.7.1+git20171031.f85c78b-5) unstable; urgency=medium

  * Team upload.
  * Vcs-* urls: pkg-go-team -> go-team.

 -- Alexandre Viau <aviau@debian.org>  Mon, 05 Feb 2018 23:11:49 -0500

golang-go.uber-zap (1.7.1+git20171031.f85c78b-4) unstable; urgency=medium

  * point Vcs-* urls to salsa.d.o subproject

 -- Alexandre Viau <aviau@debian.org>  Thu, 25 Jan 2018 15:42:39 -0500

golang-go.uber-zap (1.7.1+git20171031.f85c78b-3) unstable; urgency=medium

  * Move to salsa.debian.org

 -- Alexandre Viau <aviau@debian.org>  Fri, 29 Dec 2017 22:26:07 -0500

golang-go.uber-zap (1.7.1+git20171031.f85c78b-2) unstable; urgency=medium

  * Create symlink to uber-go/zap

 -- Alexandre Viau <aviau@debian.org>  Tue, 26 Dec 2017 00:58:35 -0500

golang-go.uber-zap (1.7.1+git20171031.f85c78b-1) unstable; urgency=medium

  * Initial release (Closes: #885286)

 -- Alexandre Viau <aviau@debian.org>  Tue, 26 Dec 2017 00:25:28 -0500

## golang-go.uber-zap 1.7.1+git20171031.f85c78b

=== Makefile ===
export GO15VENDOREXPERIMENT=1

BENCH_FLAGS ?= -cpuprofile=cpu.pprof -memprofile=mem.pprof -benchmem
PKGS ?= $(shell glide novendor)
# Many Go tools take file globs or directories as arguments instead of packages.
PKG_FILES ?= *.go zapcore benchmarks buffer zapgrpc zaptest zaptest/observer internal/bufferpool internal/exit internal/color internal/ztest

# The linting tools evolve with each Go version, so run them only on the latest
# stable release.
GO_VERSION := $(shell go version | cut -d " " -f 3)
GO_MINOR_VERSION := $(word 2,$(subst ., ,$(GO_VERSION)))
LINTABLE_MINOR_VERSIONS := 9
ifneq ($(filter $(LINTABLE_MINOR_VERSIONS),$(GO_MINOR_VERSION)),)
SHOULD_LINT := true
endif


.PHONY: all
all: lint test

.PHONY: dependencies
dependencies:
	@echo "Installing Glide and locked dependencies..."
	glide --version || go get -u -f github.com/Masterminds/glide
	glide install
	@echo "Installing test dependencies..."
	go install ./vendor/github.com/axw/gocov/gocov
	go install ./vendor/github.com/mattn/goveralls
ifdef SHOULD_LINT
	@echo "Installing golint..."
	go install ./vendor/github.com/golang/lint/golint
else
	@echo "Not installing golint, since we don't expect to lint on" $(GO_VERSION)
endif

# Disable printf-like invocation checking due to testify.assert.Error()
VET_RULES := -printf=false

.PHONY: lint
lint:
ifdef SHOULD_LINT
	@rm -rf lint.log
	@echo "Checking formatting..."
	@gofmt -d -s $(PKG_FILES) 2>&1 | tee lint.log
	@echo "Installing test dependencies for vet..."
	@go test -i $(PKGS)
	@echo "Checking vet..."
	@$(foreach dir,$(PKG_FILES),go tool vet $(VET_RULES) $(dir) 2>&1 | tee -a lint.log;)
	@echo "Checking lint..."
	@$(foreach dir,$(PKGS),golint $(dir) 2>&1 | tee -a lint.log;)
	@echo "Checking for unresolved FIXMEs..."
	@git grep -i fixme | grep -v -e vendor -e Makefile | tee -a lint.log
	@echo "Checking for license headers..."
	@./check_license.sh | tee -a lint.log
	@[ ! -s lint.log ]
else
	@echo "Skipping linters on" $(GO_VERSION)
endif

.PHONY: test
test:
	go test -race $(PKGS)

.PHONY: cover
cover:
	./scripts/cover.sh $(PKGS)

.PHONY: bench
BENCH ?= .
bench:
	@$(foreach pkg,$(PKGS),go test -bench=$(BENCH) -run="^$$" $(BENCH_FLAGS) $(pkg);)

.PHONY: updatereadme
updatereadme:
	rm -f README.md
	cat .readme.tmpl | go run internal/readme/readme.go > README.md

=== debian/control ===
Source: golang-go.uber-zap
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-pkg-errors-dev,
               golang-github-stretchr-testify-dev,
               golang-go.uber-atomic-dev,
               golang-go.uber-multierr-dev
Standards-Version: 4.1.1
Homepage: https://github.com/uber-go/zap
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-go.uber-zap
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-go.uber-zap.git
XS-Go-Import-Path: go.uber.org/zap
Testsuite: autopkgtest-pkg-go

Package: golang-go.uber-zap-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-apex-log-dev,
         golang-github-pkg-errors-dev,
         golang-github-stretchr-testify-dev,
         golang-go.uber-atomic-dev,
         golang-go.uber-multierr-dev
Description: Blazing fast, structured, leveled logging in Go.
 Package zap provides fast, structured, leveled logging.
 .
 For applications that log in the hot path, reflection-based
 serialization and string formatting are prohibitively expensive,
 they're CPU-intensive and make many small allocations. Put
 differently, using json.Marshal and fmt.Fprintf to log tons of
 interface{} makes your application slow.
 .
 Zap takes a different approach. It includes a reflection-free,
 zero-allocation JSON encoder, and the base Logger strives to avoid
 serialization overhead and allocations wherever possible. By
 building the high-level SugaredLogger on that foundation, zap lets
 users choose when they need to count every allocation and when
 they'd prefer a more familiar, loosely typed API.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := benchmarks

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-binaries

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-go.uber-zap-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/uber-go/zap/tags .*/v?(\d\S*)\.tar\.gz

## golang-go.uber-zap 1.9.1

=== debian/changelog ===
golang-go.uber-zap (1.9.1-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Wed, 21 Nov 2018 14:02:57 -0500

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
          golang-github-stretchr-testify-dev,
          golang-go.uber-atomic-dev,
          golang-go.uber-multierr-dev
-Description: Blazing fast, structured, leveled logging in Go.
+Description: Blazing fast, structured, leveled logging in Go
  Package zap provides fast, structured, leveled logging.
  .
  For applications that log in the hot path, reflection-based

## golang-go.uber-zap 1.14.1

=== debian/changelog ===
golang-go.uber-zap (1.14.1-1ubuntu1) groovy; urgency=medium

  * d/rules: add an extra timeout scaling factor when building or
    testing (dep8) on armhf and arm64 to workaround a flaky test that
    is more likely to fail on slower systems.

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 16 Jun 2020 09:08:55 -0300

golang-go.uber-zap (1.14.1-1) unstable; urgency=medium

  * New upstream version 1.14.1 (Closes: #952206)
  * Refresh patches with new version
  * Drop compat, switch to debhelper-compat
  * Add "Rules-Requires-Root:no"
  * Add upstream/metadata
  * Add myself to uploaders
  * Bump standards version to 4.5.0
  * Disable TestOpen test since it seems to dereference null pointer

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 22 Mar 2020 16:43:28 +0530

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: golang-go.uber-zap
 Section: devel
 Priority: optional
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Alexandre Viau <aviau@debian.org>
-Build-Depends: debhelper (>= 10),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Uploaders: Alexandre Viau <aviau@debian.org>, Nilesh Patra <npatra974@gmail.com>
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any,
                golang-github-pkg-errors-dev,
                golang-github-stretchr-testify-dev,
                golang-go.uber-atomic-dev,
                golang-go.uber-multierr-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/uber-go/zap
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-go.uber-zap
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-go.uber-zap.git
 XS-Go-Import-Path: go.uber.org/zap
 Testsuite: autopkgtest-pkg-go
+Rules-Requires-Root: no
 
 Package: golang-go.uber-zap-dev
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,14 @@
 #!/usr/bin/make -f
 
 export DH_GOLANG_EXCLUDES := benchmarks
+# https://github.com/uber-go/zap/issues/62
+# and
+# https://github.com/uber-go/zap/issues/334
+# The actual scaling factor was found by experimentation
+# and is of course subject to change
+ifneq (,$(filter $(DEB_BUILD_ARCH),armhf arm64))
+export TEST_TIMEOUT_SCALE := 60
+endif
 
 %:
 	dh $@ --buildsystem=golang --with=golang

## golang-go.uber-zap 1.15.0

=== debian/changelog ===
golang-go.uber-zap (1.15.0-2) unstable; urgency=medium

  * skip TestSamplerConcurrent (fixes debci)

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 09 Jul 2020 15:12:33 +0530

golang-go.uber-zap (1.15.0-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Revert dropping Files-Excluded from debian/copyright

  [ Nilesh Patra ]
  * New upstream version 1.15.0
  * change delta range, so as to fix debci
  * Remove aviau from uploaders - this was RFA

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 07 Jul 2020 15:22:29 +0530

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: golang-go.uber-zap
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Alexandre Viau <aviau@debian.org>, Nilesh Patra <npatra974@gmail.com>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Uploaders: Nilesh Patra <npatra974@gmail.com>
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-pkg-errors-dev,

## golang-go.uber-zap 1.20.0

=== debian/changelog ===
golang-go.uber-zap (1.20.0-1) unstable; urgency=medium

  [ Nobuhiro Iwamatsu ]
  * Team upload.
  * New upstream release (1.20.0).
  * Update d/control.
    - Add golang-github-benbjohnson-clock-dev to Depends and B-D.
    - Add golang-uber-goleak-dev to Depends and B-D.
    - Update Standards-Version to 4.6.0.1 (no changes).
    - Add golang-gopkg-yaml.v2-dev to B-D and Depends.
    - Add golang-google-grpc-dev to B-D.
  * Update d/gbp.conf.
    - Set debian-branch to debian/sid for DEP-14 conformance.
  * Remove unnecessary d/lintian-overrides.
  * Update d/watch
    - Update to version 4.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 07 Feb 2022 17:59:58 +0900

golang-go.uber-zap (1.15.0-3) unstable; urgency=medium

  * Team upload.

  [ Nilesh Patra ]
  * Update own email address .

  [ Aloïs Micard ]
  * update debian/gitlab-ci.yml (using pkg-go-tools/ci-config).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 28 Jan 2022 16:54:33 +0900

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,19 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Nilesh Patra <npatra974@gmail.com>
+Uploaders: Nilesh Patra <nilesh@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-pkg-errors-dev,
                golang-github-stretchr-testify-dev,
                golang-go.uber-atomic-dev,
-               golang-go.uber-multierr-dev
-Standards-Version: 4.5.0
+               golang-go.uber-multierr-dev,
+               golang-github-benbjohnson-clock-dev,
+               golang-uber-goleak-dev,
+	       golang-gopkg-yaml.v2-dev,
+	       golang-google-grpc-dev
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/uber-go/zap
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-go.uber-zap
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-go.uber-zap.git
@@ -26,7 +30,10 @@
          golang-github-pkg-errors-dev,
          golang-github-stretchr-testify-dev,
          golang-go.uber-atomic-dev,
-         golang-go.uber-multierr-dev
+         golang-go.uber-multierr-dev,
+         golang-github-benbjohnson-clock-dev,
+         golang-uber-goleak-dev,
+         golang-gopkg-yaml.v2-dev
 Description: Blazing fast, structured, leveled logging in Go
  Package zap provides fast, structured, leveled logging.
  .

## golang-go.uber-zap 1.23.0

=== debian/changelog ===
golang-go.uber-zap (1.23.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.23.0
  * Reorder fields in debian/control and debian/copyright
  * Change Section from devel to golang
  * Update Maintainer email address to team+pkg-go@tracker.debian.org
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * debian/rules: Invoke dh with --builddirectory=_build
  * Drop -dev package’s unneeded dependency on ${shlibs:Depends}
  * Mark library package with "Multi-Arch: foreign"
  * Bump Standards-Version to 4.6.1 (no change)
  * Update versioned dependencies as per go.mod
  * Refresh Debian patches

 -- Anthony Fok <foka@debian.org>  Fri, 28 Oct 2022 09:50:49 -0600

=== debian/control ===
Source: golang-go.uber-zap
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Nilesh Patra <nilesh@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any (>= 2:1.18~),
               golang-github-benbjohnson-clock-dev (>= 1.1.0),
               golang-github-pkg-errors-dev (>= 0.8.1),
               golang-github-stretchr-testify-dev (>= 1.8.0),
               golang-go.uber-atomic-dev (>= 1.7.0),
               golang-go.uber-multierr-dev (>= 1.6.0),
               golang-uber-goleak-dev (>= 1.1.11),
               golang-gopkg-yaml.v3-dev (>= 3.0.1),
               golang-google-grpc-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.1
Homepage: https://github.com/uber-go/zap
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-go.uber-zap
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-go.uber-zap.git
XS-Go-Import-Path: go.uber.org/zap

Package: golang-go.uber-zap-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         golang-github-benbjohnson-clock-dev (>= 1.1.0),
         golang-github-pkg-errors-dev (>= 0.8.1),
         golang-github-stretchr-testify-dev (>= 1.8.0),
         golang-go.uber-atomic-dev (>= 1.7.0),
         golang-go.uber-multierr-dev (>= 1.6.0),
         golang-uber-goleak-dev (>= 1.1.11),
         golang-gopkg-yaml.v3-dev (>= 3.0.1),
Description: Blazing fast, structured, leveled logging in Go
 Package zap provides fast, structured, leveled logging.
 .
 For applications that log in the hot path, reflection-based
 serialization and string formatting are prohibitively expensive,
 they're CPU-intensive and make many small allocations. Put
 differently, using json.Marshal and fmt.Fprintf to log tons of
 interface{} makes your application slow.
 .
 Zap takes a different approach. It includes a reflection-free,
 zero-allocation JSON encoder, and the base Logger strives to avoid
 serialization overhead and allocations wherever possible. By
 building the high-level SugaredLogger on that foundation, zap lets
 users choose when they need to count every allocation and when
 they'd prefer a more familiar, loosely typed API.

## golang-go.uber-zap 1.26.0

=== debian/changelog ===
golang-go.uber-zap (1.26.0-1) unstable; urgency=medium

  * Team upload
  * Sync from experimental to unstable.

 -- Anton Gladky <gladk@debian.org>  Sun, 08 Oct 2023 22:10:46 +0200

golang-go.uber-zap (1.26.0-1~exp1) experimental; urgency=medium

  * Team upload
  * [2490131] New upstream version 1.26.0
  * [98aceab] Update standards version to 4.6.2, no changes needed.
  * [bed8376] Apply cme fix dpkg

 -- Anton Gladky <gladk@debian.org>  Sat, 07 Oct 2023 22:47:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,38 +1,38 @@
 Source: golang-go.uber-zap
-Section: golang
-Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Nilesh Patra <nilesh@debian.org>
-Rules-Requires-Root: no
+Section: golang
+Testsuite: autopkgtest-pkg-go
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any (>= 2:1.18~),
-               golang-github-benbjohnson-clock-dev (>= 1.1.0),
-               golang-github-pkg-errors-dev (>= 0.8.1),
+               golang-github-benbjohnson-clock-dev,
+               golang-github-pkg-errors-dev,
                golang-github-stretchr-testify-dev (>= 1.8.0),
                golang-go.uber-atomic-dev (>= 1.7.0),
                golang-go.uber-multierr-dev (>= 1.6.0),
-               golang-uber-goleak-dev (>= 1.1.11),
+               golang-uber-goleak-dev,
                golang-gopkg-yaml.v3-dev (>= 3.0.1),
                golang-google-grpc-dev
-Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.1
-Homepage: https://github.com/uber-go/zap
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-go.uber-zap
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-go.uber-zap.git
+Homepage: https://github.com/uber-go/zap
+Rules-Requires-Root: no
 XS-Go-Import-Path: go.uber.org/zap
 
 Package: golang-go.uber-zap-dev
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-         golang-github-benbjohnson-clock-dev (>= 1.1.0),
-         golang-github-pkg-errors-dev (>= 0.8.1),
+         golang-github-benbjohnson-clock-dev,
+         golang-github-pkg-errors-dev,
          golang-github-stretchr-testify-dev (>= 1.8.0),
          golang-go.uber-atomic-dev (>= 1.7.0),
          golang-go.uber-multierr-dev (>= 1.6.0),
-         golang-uber-goleak-dev (>= 1.1.11),
-         golang-gopkg-yaml.v3-dev (>= 3.0.1),
+         golang-uber-goleak-dev,
+         golang-gopkg-yaml.v3-dev (>= 3.0.1)
 Description: Blazing fast, structured, leveled logging in Go
  Package zap provides fast, structured, leveled logging.
  .

## golang-go.uber-zap 1.27.0

=== Makefile ===
# Directory containing the Makefile.
PROJECT_ROOT = $(dir $(abspath $(lastword $(MAKEFILE_LIST))))

export GOBIN ?= $(PROJECT_ROOT)/bin
export PATH := $(GOBIN):$(PATH)

GOVULNCHECK = $(GOBIN)/govulncheck
BENCH_FLAGS ?= -cpuprofile=cpu.pprof -memprofile=mem.pprof -benchmem

# Directories containing independent Go modules.
MODULE_DIRS = . ./exp ./benchmarks ./zapgrpc/internal/test

# Directories that we want to track coverage for.
COVER_DIRS = . ./exp

.PHONY: all
all: lint test

.PHONY: lint
lint: golangci-lint tidy-lint license-lint

.PHONY: golangci-lint
golangci-lint:
	@$(foreach mod,$(MODULE_DIRS), \
		(cd $(mod) && \
		echo "[lint] golangci-lint: $(mod)" && \
		golangci-lint run --path-prefix $(mod)) &&) true

.PHONY: tidy
tidy:
	@$(foreach dir,$(MODULE_DIRS), \
		(cd $(dir) && go mod tidy) &&) true

.PHONY: tidy-lint
tidy-lint:
	@$(foreach mod,$(MODULE_DIRS), \
		(cd $(mod) && \
		echo "[lint] tidy: $(mod)" && \
		go mod tidy && \
		git diff --exit-code -- go.mod go.sum) &&) true


.PHONY: license-lint
license-lint:
	./checklicense.sh

$(GOVULNCHECK):
	cd tools && go install golang.org/x/vuln/cmd/govulncheck

.PHONY: test
test:
	@$(foreach dir,$(MODULE_DIRS),(cd $(dir) && go test -race ./...) &&) true

.PHONY: cover
cover:
	@$(foreach dir,$(COVER_DIRS), ( \
		cd $(dir) && \
		go test -race -coverprofile=cover.out -coverpkg=./... ./... \
		&& go tool cover -html=cover.out -o cover.html) &&) true

.PHONY: bench
BENCH ?= .
bench:
	@$(foreach dir,$(MODULE_DIRS), ( \
		cd $(dir) && \
		go list ./... | xargs -n1 go test -bench=$(BENCH) -run="^$$" $(BENCH_FLAGS) \
	) &&) true

.PHONY: updatereadme
updatereadme:
	rm -f README.md
	cat .readme.tmpl | go run internal/readme/readme.go > README.md

.PHONY: vulncheck
vulncheck: $(GOVULNCHECK)
	$(GOVULNCHECK) ./...

=== debian/changelog ===
golang-go.uber-zap (1.27.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.27.0
  * Import unpushed changes
  * Drop Redundant "Rules-Requires-Root: no"
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * Drop myself from uploaders

 -- Nilesh Patra <nilesh@debian.org>  Sat, 01 Nov 2025 23:06:56 +0530

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: golang-go.uber-zap
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Nilesh Patra <nilesh@debian.org>
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -15,11 +14,10 @@
                golang-uber-goleak-dev,
                golang-gopkg-yaml.v3-dev (>= 3.0.1),
                golang-google-grpc-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-go.uber-zap
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-go.uber-zap.git
 Homepage: https://github.com/uber-go/zap
-Rules-Requires-Root: no
 XS-Go-Import-Path: go.uber.org/zap
 
 Package: golang-go.uber-zap-dev

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := benchmarks

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_install:
	dh_auto_install -- --no-binaries

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-go.uber-zap-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/uber-go/zap/tags .*/v?(\d\S*)\.tar\.gz
